extern crate rainbowcazzi;
extern crate structopt;

use rainbowcazzi::rainbow;
use std::fs::File;
use structopt::StructOpt;

#[derive(StructOpt, Debug)]
struct Args {
    #[structopt(short = "q", long = "quiet")]
    quiet: bool,
    #[structopt(name = "input")]
    input: String,
}

fn main() {
    let args = Args::from_args();

    let infile = File::open(args.input).unwrap();

    rainbow(&infile, args.quiet);
}
